diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/win32/ifnet.c olsrd-current/src/win32/ifnet.c
--- olsrd-0.5.0/src/win32/ifnet.c	2007-03-29 18:34:39.000000000 +0200
+++ olsrd-current/src/win32/ifnet.c	2007-05-14 00:23:55.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: ifnet.c,v 1.34 2007/03/29 16:34:39 tlopatic Exp $
+ * $Id: ifnet.c,v 1.38 2007/05/13 22:23:55 bernd67 Exp $
  */
 
 #include "interfaces.h"
@@ -113,7 +113,6 @@
 
 void WinSockPError(char *);
 char *StrError(unsigned int ErrNo);
-int inet_pton(int af, char *src, void *dst);
 
 void ListInterfaces(void);
 int GetIntInfo(struct InterfaceInfo *Info, char *Name);
@@ -123,7 +122,7 @@
 
 int __stdcall SignalHandler(unsigned long Signal);
 
-static unsigned long __stdcall SignalHandlerWrapper(void *Dummy)
+static unsigned long __stdcall SignalHandlerWrapper(void *Dummy __attribute__((unused)))
 {
   SignalHandler(0);
   return 0;
@@ -246,6 +245,7 @@
   IP_ADAPTER_INFO AdInfo[MAX_INTERFACES], *Walker;
   HMODULE Lib;
   struct MibIpInterfaceRow Row;
+  GETIPINTERFACEENTRY InterfaceEntry;
 
   if (olsr_cnf->ip_version == AF_INET6)
   {
@@ -312,8 +312,7 @@
     return -1;
   }
 
-  GETIPINTERFACEENTRY InterfaceEntry =
-    (GETIPINTERFACEENTRY)GetProcAddress(Lib, "GetIpInterfaceEntry");
+  InterfaceEntry = (GETIPINTERFACEENTRY)GetProcAddress(Lib, "GetIpInterfaceEntry");
 
   if (InterfaceEntry == NULL)
   {
@@ -444,11 +443,11 @@
 
     if (ErrNo == ERROR_GEN_FAILURE || ErrNo == ERROR_INVALID_PARAMETER)
     {
-      OLSR_PRINTF(5, "OID not supported. Device probably not wireless.\n")
+      OLSR_PRINTF(5, "OID not supported. Device probably not wireless.\n");
       return 0;
     }
 
-    OLSR_PRINTF(5, "DeviceIoControl() = %08x, %s\n", ErrNo, StrError(ErrNo))
+    OLSR_PRINTF(5, "DeviceIoControl() = %08x, %s\n", ErrNo, StrError(ErrNo));
     return -1;
   }
 
@@ -490,7 +489,7 @@
 
   for (Walker = AdInfo; Walker != NULL; Walker = Walker->Next)
   {
-    OLSR_PRINTF(5, "Index = %08x\n", (int)Walker->Index)
+    OLSR_PRINTF(5, "Index = %08x\n", (int)Walker->Index);
 
     MiniIndexToIntName(IntName, Walker->Index);
 
@@ -519,7 +518,7 @@
 {
   struct interface *Int, *Prev;
 
-  OLSR_PRINTF(1, "Removing interface %s.\n", IntConf->name)
+  OLSR_PRINTF(1, "Removing interface %s.\n", IntConf->name);
   
   Int = IntConf->interf;
 
@@ -540,13 +539,13 @@
     if(ifnet == NULL)
     {
       memset(&olsr_cnf->main_addr, 0, olsr_cnf->ipsize);
-      OLSR_PRINTF(1, "Removed last interface. Cleared main address.\n")
+      OLSR_PRINTF(1, "Removed last interface. Cleared main address.\n");
     }
 
     else
     {
       COPY_IP(&olsr_cnf->main_addr, &ifnet->ip_addr);
-      OLSR_PRINTF(1, "New main address: %s.\n", olsr_ip_to_string(&olsr_cnf->main_addr))
+      OLSR_PRINTF(1, "New main address: %s.\n", olsr_ip_to_string(&olsr_cnf->main_addr));
     }
   }
 
@@ -593,7 +592,7 @@
 
   if (ifnet == NULL && !olsr_cnf->allow_no_interfaces)
   {
-    OLSR_PRINTF(1, "No more active interfaces - exiting.\n")
+    OLSR_PRINTF(1, "No more active interfaces - exiting.\n");
     olsr_cnf->exit_value = EXIT_FAILURE;
     CallSignalHandler();
   }
@@ -621,12 +620,10 @@
 
   strcpy(ifp->int_name, "hcif01");
 
-  OLSR_PRINTF(1, "Adding %s(host emulation):\n", ifp->int_name)
+  OLSR_PRINTF(1, "Adding %s(host emulation):\n", ifp->int_name);
 
   OLSR_PRINTF(1, "       Address:%s\n", olsr_ip_to_string(&iface->hemu_ip));
 
-  OLSR_PRINTF(1, "       Index:%d\n", iface->index);
-
   OLSR_PRINTF(1, "       NB! This is a emulated interface\n       that does not exist in the kernel!\n");
 
   ifp->int_next = ifnet;
@@ -636,12 +633,9 @@
   if(COMP_IP(&null_addr, &olsr_cnf->main_addr))
     {
       COPY_IP(&olsr_cnf->main_addr, &iface->hemu_ip);
-      OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&olsr_cnf->main_addr))
+      OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&olsr_cnf->main_addr));
     }
 
-  /* setting the interfaces number*/
-  ifp->if_nr = iface->index;
-
   ifp->int_mtu = OLSR_DEFAULT_MTU;
 
   ifp->int_mtu -= (olsr_cnf->ip_version == AF_INET6) ?
@@ -796,7 +790,7 @@
   }
 
 #ifdef DEBUG
-  OLSR_PRINTF(3, "Checking if %s is set down or changed\n", IntConf->name)
+  OLSR_PRINTF(3, "Checking if %s is set down or changed\n", IntConf->name);
 #endif
 
   Int = IntConf->interf;
@@ -816,7 +810,7 @@
 
   if (Int->is_wireless != IsWlan)
   {
-    OLSR_PRINTF(1, "\tLAN/WLAN change: %d -> %d.\n", Int->is_wireless, IsWlan)
+    OLSR_PRINTF(1, "\tLAN/WLAN change: %d -> %d.\n", Int->is_wireless, IsWlan);
 
     Int->is_wireless = IsWlan;
 
@@ -846,14 +840,14 @@
   NewVal.v4 = Info.Addr;
 
 #ifdef DEBUG
-  OLSR_PRINTF(3, "\tAddress: %s\n", olsr_ip_to_string(&NewVal))
+  OLSR_PRINTF(3, "\tAddress: %s\n", olsr_ip_to_string(&NewVal));
 #endif
 
   if (NewVal.v4 != OldVal.v4)
   {
-    OLSR_PRINTF(1, "\tAddress change.\n")
-    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal))
-    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal))
+    OLSR_PRINTF(1, "\tAddress change.\n");
+    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal));
+    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal));
 
     Int->ip_addr.v4 = NewVal.v4;
 
@@ -865,7 +859,7 @@
 
     if (olsr_cnf->main_addr.v4 == OldVal.v4)
     {
-      OLSR_PRINTF(1, "\tMain address change.\n")
+      OLSR_PRINTF(1, "\tMain address change.\n");
 
       olsr_cnf->main_addr.v4 = NewVal.v4;
     }
@@ -874,20 +868,20 @@
   }
 
   else
-    OLSR_PRINTF(3, "\tNo address change.\n")
+    OLSR_PRINTF(3, "\tNo address change.\n");
 
   OldVal.v4 = ((struct sockaddr_in *)&Int->int_netmask)->sin_addr.s_addr;
   NewVal.v4 = Info.Mask;
 
 #ifdef DEBUG
-  OLSR_PRINTF(3, "\tNetmask: %s\n", olsr_ip_to_string(&NewVal))
+  OLSR_PRINTF(3, "\tNetmask: %s\n", olsr_ip_to_string(&NewVal));
 #endif
 
   if (NewVal.v4 != OldVal.v4)
   {
-    OLSR_PRINTF(1, "\tNetmask change.\n")
-    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal))
-    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal))
+    OLSR_PRINTF(1, "\tNetmask change.\n");
+    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal));
+    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal));
 
     AddrIn = (struct sockaddr_in *)&Int->int_netmask;
 
@@ -899,20 +893,20 @@
   }
 
   else
-    OLSR_PRINTF(3, "\tNo netmask change.\n")
+    OLSR_PRINTF(3, "\tNo netmask change.\n");
 
   OldVal.v4 = ((struct sockaddr_in *)&Int->int_broadaddr)->sin_addr.s_addr;
   NewVal.v4 = Info.Broad;
 
 #ifdef DEBUG
-  OLSR_PRINTF(3, "\tBroadcast address: %s\n", olsr_ip_to_string(&NewVal))
+  OLSR_PRINTF(3, "\tBroadcast address: %s\n", olsr_ip_to_string(&NewVal));
 #endif
 
   if (NewVal.v4 != OldVal.v4)
   {
-    OLSR_PRINTF(1, "\tBroadcast address change.\n")
-    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal))
-    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal))
+    OLSR_PRINTF(1, "\tBroadcast address change.\n");
+    OLSR_PRINTF(1, "\tOld: %s\n", olsr_ip_to_string(&OldVal));
+    OLSR_PRINTF(1, "\tNew: %s\n", olsr_ip_to_string(&NewVal));
 
     AddrIn = (struct sockaddr_in *)&Int->int_broadaddr;
 
@@ -924,7 +918,7 @@
   }
 
   else
-    OLSR_PRINTF(3, "\tNo broadcast address change.\n")
+    OLSR_PRINTF(3, "\tNo broadcast address change.\n");
 
   if (Res != 0)
     run_ifchg_cbs(Int, IFCHG_IF_UPDATE);
@@ -932,7 +926,7 @@
   return Res;
 }
 
-int chk_if_up(struct olsr_if *IntConf, int DebugLevel)
+int chk_if_up(struct olsr_if *IntConf, int DebugLevel __attribute__((unused)))
 {
   struct InterfaceInfo Info;
   struct interface *New;
@@ -983,8 +977,6 @@
   New->int_name = olsr_malloc(strlen (IntConf->name) + 1, "Interface 2");
   strcpy(New->int_name, IntConf->name);
 
-  New->if_nr = IntConf->index;
-
   IsWlan = IsWireless(IntConf->name);
 
   if (IsWlan < 0)
@@ -1003,20 +995,20 @@
   New->ttl_index = 0;
     
   OLSR_PRINTF(1, "\tInterface %s set up for use with index %d\n\n",
-              IntConf->name, New->if_nr)
+              IntConf->name, New->if_index);
       
-  OLSR_PRINTF(1, "\tMTU: %d\n", New->int_mtu)
-  OLSR_PRINTF(1, "\tAddress: %s\n", sockaddr_to_string(&New->int_addr))
-  OLSR_PRINTF(1, "\tNetmask: %s\n", sockaddr_to_string(&New->int_netmask))
+  OLSR_PRINTF(1, "\tMTU: %d\n", New->int_mtu);
+  OLSR_PRINTF(1, "\tAddress: %s\n", sockaddr_to_string(&New->int_addr));
+  OLSR_PRINTF(1, "\tNetmask: %s\n", sockaddr_to_string(&New->int_netmask));
   OLSR_PRINTF(1, "\tBroadcast address: %s\n",
-              sockaddr_to_string(&New->int_broadaddr))
+              sockaddr_to_string(&New->int_broadaddr));
 
   New->ip_addr.v4 =
     ((struct sockaddr_in *)&New->int_addr)->sin_addr.s_addr;
       
   New->if_index = Info.Index;
 
-  OLSR_PRINTF(3, "\tKernel index: %08x\n", New->if_index)
+  OLSR_PRINTF(3, "\tKernel index: %08x\n", New->if_index);
 
   AddrSockAddr = addrsock.sin_addr.s_addr;
   addrsock.sin_addr.s_addr = New->ip_addr.v4;
@@ -1045,7 +1037,7 @@
   if(COMP_IP(&NullAddr, &olsr_cnf->main_addr))
   {
     COPY_IP(&olsr_cnf->main_addr, &New->ip_addr);
-    OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&olsr_cnf->main_addr))
+    OLSR_PRINTF(1, "New main address: %s\n", olsr_ip_to_string(&olsr_cnf->main_addr));
   }
 
   net_add_buffer(New);
@@ -1099,12 +1091,12 @@
   return 1;
 }
 
-void check_interface_updates(void *dummy)
+void check_interface_updates(void *dummy __attribute__((unused)))
 {
   struct olsr_if *IntConf;
 
 #ifdef DEBUG
-  OLSR_PRINTF(3, "Checking for updates in the interface set\n")
+  OLSR_PRINTF(3, "Checking for updates in the interface set\n");
 #endif
 
   for(IntConf = olsr_cnf->interfaces; IntConf != NULL; IntConf = IntConf->next)
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/win32/kernel_routes.c olsrd-current/src/win32/kernel_routes.c
--- olsrd-0.5.0/src/win32/kernel_routes.c	2007-03-28 14:07:05.000000000 +0200
+++ olsrd-current/src/win32/kernel_routes.c	2007-04-26 00:22:15.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: kernel_routes.c,v 1.18 2007/03/28 12:07:05 tlopatic Exp $
+ * $Id: kernel_routes.c,v 1.20 2007/04/25 22:22:15 bernd67 Exp $
  */
 
 #include <stdio.h>
@@ -63,7 +63,7 @@
   inet_ntop(AF_INET, &Dest->rt_router.v4, Str3, 16);
 
   OLSR_PRINTF(1, "Adding IPv4 route with metric %d to %s/%s via %s and I/F 0x%x.\n",
-              Dest->rt_metric + Dest->rt_if->int_metric, Str1, Str2, Str3, Dest->rt_if->if_index)
+              Dest->rt_metric + Dest->rt_if->int_metric, Str1, Str2, Str3, Dest->rt_if->if_index);
 
   memset(&Row, 0, sizeof (MIB_IPFORWARDROW));
 
@@ -113,7 +113,7 @@
 
 // XXX - to be implemented
 
-int olsr_ioctl_add_route6(struct rt_entry *Dest)
+int olsr_ioctl_add_route6(struct rt_entry *Dest __attribute__((unused)))
 {
   return 0;
 }
@@ -129,7 +129,7 @@
   inet_ntop(AF_INET, &Dest->rt_router.v4, Str3, 16);
 
   OLSR_PRINTF(1, "Deleting IPv4 route with metric %d to %s/%s via %s and I/F 0x%x.\n",
-              Dest->rt_metric + Dest->rt_if->int_metric, Str1, Str2, Str3, Dest->rt_if->if_index)
+              Dest->rt_metric + Dest->rt_if->int_metric, Str1, Str2, Str3, Dest->rt_if->if_index);
 
   memset(&Row, 0, sizeof (MIB_IPFORWARDROW));
 
@@ -170,7 +170,7 @@
 
 // XXX - to be implemented
 
-int olsr_ioctl_del_route6(struct rt_entry *Dest)
+int olsr_ioctl_del_route6(struct rt_entry *Dest __attribute__((unused)))
 {
   return 0;
 }
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/win32/log.c olsrd-current/src/win32/log.c
--- olsrd-0.5.0/src/win32/log.c	2004-11-21 02:21:10.000000000 +0100
+++ olsrd-current/src/win32/log.c	2007-04-26 00:23:09.000000000 +0200
@@ -36,15 +36,15 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: log.c,v 1.4 2004/11/21 01:21:10 tlopatic Exp $
+ * $Id: log.c,v 1.5 2007/04/25 22:23:09 bernd67 Exp $
  */
 
 #include "../log.h"
 
-void olsr_openlog(const char *Id)
+void olsr_openlog(const char *Id __attribute__((unused)))
 {
 }
 
-void olsr_syslog(int Level, char *Format, ...)
+void olsr_syslog(int Level __attribute__((unused)), char *Format __attribute__((unused)), ...)
 {
 }
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/win32/net.c olsrd-current/src/win32/net.c
--- olsrd-0.5.0/src/win32/net.c	2006-11-06 00:03:56.000000000 +0100
+++ olsrd-current/src/win32/net.c	2007-04-26 00:24:09.000000000 +0200
@@ -36,7 +36,7 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: net.c,v 1.20 2006/11/05 23:03:56 bernd67 Exp $
+ * $Id: net.c,v 1.22 2007/04/25 22:24:09 bernd67 Exp $
  */
 
 #if defined WINCE
@@ -97,7 +97,7 @@
   return (sock);
 }
 
-int getsocket(struct sockaddr *Addr, int BuffSize, char *Int)
+int getsocket(struct sockaddr *Addr, int BuffSize, char *Int __attribute__((unused)))
 {
   int Sock;
   int On = 1;
@@ -148,7 +148,7 @@
   return Sock;
 }
 
-int getsocket6(struct sockaddr_in6 *Addr, int BuffSize, char *Int)
+int getsocket6(struct sockaddr_in6 *Addr, int BuffSize, char *Int __attribute__((unused)))
 {
   int Sock;
   int On = 1;
@@ -228,7 +228,7 @@
     return -1;
   }
 
-  OLSR_PRINTF(3, "Routing enabled.\n")
+  OLSR_PRINTF(3, "Routing enabled.\n");
 
   return 0;
 }
@@ -259,7 +259,7 @@
     return -1;
   }
 
-  OLSR_PRINTF(3, "Routing disabled, count = %u.\n", Count)
+  OLSR_PRINTF(3, "Routing disabled, count = %u.\n", Count);
 
   return 0;
 }
@@ -343,7 +343,7 @@
   COPY_IP(&McastReq.ipv6mr_multiaddr, &Nic->int6_multaddr.sin6_addr);
   McastReq.ipv6mr_interface = Nic->if_index;
 
-  OLSR_PRINTF(3, "Interface %s joining multicast %s...", Nic->int_name, olsr_ip_to_string((union olsr_ip_addr *)&Nic->int6_multaddr.sin6_addr))
+  OLSR_PRINTF(3, "Interface %s joining multicast %s...", Nic->int_name, olsr_ip_to_string((union olsr_ip_addr *)&Nic->int6_multaddr.sin6_addr));
   /* Send multicast */
   if(setsockopt(Sock, 
 		IPPROTO_IPV6, 
@@ -392,7 +392,7 @@
     }
 
 
-  OLSR_PRINTF(3, "OK\n")
+  OLSR_PRINTF(3, "OK\n");
   return 0;
 }
 
@@ -421,7 +421,7 @@
 olsr_recvfrom(int  s, 
 	      void *buf, 
 	      size_t len, 
-	      int flags, 
+	      int flags __attribute__((unused)), 
 	      struct sockaddr *from,
 	      socklen_t *fromlen)
 {
diff --exclude=CVS --exclude=.cvsignore -Nur olsrd-0.5.0/src/win32/unistd.h olsrd-current/src/win32/unistd.h
--- olsrd-0.5.0/src/win32/unistd.h	2004-11-21 02:21:10.000000000 +0100
+++ olsrd-current/src/win32/unistd.h	2007-05-14 01:44:24.000000000 +0200
@@ -36,11 +36,13 @@
  * to the project. For more information see the website or contact
  * the copyright holders.
  *
- * $Id: unistd.h,v 1.5 2004/11/21 01:21:10 tlopatic Exp $
+ * $Id: unistd.h,v 1.7 2007/05/13 23:44:24 tlopatic Exp $
  */
 
 #if !defined TL_UNISTD_H_INCLUDED
 
+#include <stddef.h>
+
 #define TL_UNISTD_H_INCLUDED
 
 void sleep(unsigned int Sec);
@@ -52,8 +54,8 @@
 
 int getpid(void);
 
-#define IPTOS_TOS(x) (x & 0x1e)
-#define IPTOS_PREC(x) (x & 0xe0)
+#define IPTOS_TOS(x) ((x) & 0x1e)
+#define IPTOS_PREC(x) ((x) & 0xe0)
 
 int isatty(int fd);
 
